unit Pad1;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls, Menus, NOSC;

type
  TForm1 = class(TForm)
    NOSC1: TNOSC;
    MainMenu1: TMainMenu;
    File1: TMenuItem;
    New1: TMenuItem;
    Open1: TMenuItem;
    Save1: TMenuItem;
    SaveAs1: TMenuItem;
    N1: TMenuItem;
    Exit1: TMenuItem;
    Edit1: TMenuItem;
    Cut1: TMenuItem;
    Copy1: TMenuItem;
    Paste1: TMenuItem;
    SelectAll1: TMenuItem;
    N2: TMenuItem;
    WordWrap1: TMenuItem;
    Delete1: TMenuItem;
    Memo1: TMemo;
    procedure Exit1Click(Sender: TObject);
    procedure Cut1Click(Sender: TObject);
    procedure Copy1Click(Sender: TObject);
    procedure Paste1Click(Sender: TObject);
    procedure Delete1Click(Sender: TObject);
    procedure SelectAll1Click(Sender: TObject);
    procedure WordWrap1Click(Sender: TObject);
    procedure NOSC1New(Sender: TObject; var Proceed: Boolean);
    procedure NOSC1Open(Sender: TObject; var Proceed: Boolean);
    procedure NOSC1Save(Sender: TObject; var Proceed: Boolean);
    procedure NOSC1SaveQuery(Sender: TObject; var Proceed: Boolean);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.NOSC1New(Sender: TObject; var Proceed: Boolean);
begin
  Memo1.Clear;
  Memo1.Modified := False;
end;

procedure TForm1.NOSC1Open(Sender: TObject; var Proceed: Boolean);
begin
  try
    Memo1.Lines.LoadFromFile(NOSC1.FileName);
    Memo1.Modified := False;
  except
    Proceed := False;
  end;
end;

procedure TForm1.NOSC1Save(Sender: TObject; var Proceed: Boolean);
begin
  try
    Memo1.Lines.SaveToFile(NOSC1.FileName);
    Memo1.Modified := False;
  except
    Proceed := False;
  end;
end;

procedure TForm1.NOSC1SaveQuery(Sender: TObject; var Proceed: Boolean);
begin
  if Memo1.Modified then
    Proceed := MessageDlg(NOSC1.FileName + ' changed. Save?',
        mtConfirmation, [mbYes, mbNo], 0) = mrYes
  else
    Proceed := False;
end;

procedure TForm1.Exit1Click(Sender: TObject);
begin
  Close;
end;

procedure TForm1.Cut1Click(Sender: TObject);
begin
  Memo1.CutToClipBoard;
end;

procedure TForm1.Copy1Click(Sender: TObject);
begin
  Memo1.CopyToClipBoard;
end;

procedure TForm1.Paste1Click(Sender: TObject);
begin
  Memo1.PasteFromClipBoard;
end;

procedure TForm1.Delete1Click(Sender: TObject);
begin
  Memo1.ClearSelection;
end;

procedure TForm1.SelectAll1Click(Sender: TObject);
begin
  Memo1.SelectAll;
end;

procedure TForm1.WordWrap1Click(Sender: TObject);
begin
  Memo1.WordWrap := not Memo1.WordWrap;
  WordWrap1.Checked := Memo1.WordWrap;
  if Memo1.WordWrap then Memo1.ScrollBars := ssVertical
  else Memo1.ScrollBars := ssBoth;
end;

end.
